
%if 0%{?fedora} > 18
%global ruby_release 1
%endif

%if 0%{?fedora} == 17 || 0%{?fedora} == 18
%global ruby_abi 1.9.1
%endif

%if 0%{?fedora} < 17
%global ruby_abi 1.8
%global ruby_vendorlibdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%global ruby_vendorarchdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')
%endif

Name:    ruby-korundum 
Summary: Ruby bindings for libraries created by the KDE community 
Version: 4.14.3
Release: 4%{?dist}

# most GPLv2+, rbkconfig_compiler LGPLv2+
License: GPLv2+ and LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdebindings/ruby/korundum
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/korundum-%{version}.tar.xz

## upstreamable patches
# https://bugs.kde.org/show_bug.cgi?id=287057
Patch50: korundum-4.8.0-ruby19.patch

BuildRequires: kdelibs4-devel >= %{version} 
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: okular-devel
BuildRequires: pkgconfig(akonadi)
BuildRequires: ruby-devel ruby
BuildRequires: ruby-qt-devel >= %{version}
BuildRequires: smokekde-devel >= %{version}

# pkg renamed korundum => ruby-korundum @ 4.7.90-2
Obsoletes: korundum < 4.7.90-2
Provides:  korundum = %{version}-%{release}
Obsoletes: korundum-devel < 4.7.0
Provides:  korundum-devel = %{version}-%{release}

%{?ruby_abi:Requires: ruby(abi) = %{ruby_abi}}
%{?ruby_release:Requires: ruby(release)}
Requires: ruby-qt%{?_isa} >= %{version}
Requires: smokekde%{?_isa} >= %{version}

%description
%{summary}.

%package akonadi
Summary: Akonadi runtime support for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: smokekde-akonadi%{?_isa} >= %{version}
%description akonadi
%{summary}.


%prep
%setup -q -n korundum-%{version}

#patch50 -p1 -b .ruby19


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DCUSTOM_RUBY_SITE_ARCH_DIR:PATH=%{ruby_vendorarchdir} \
  -DCUSTOM_RUBY_SITE_LIB_DIR:PATH=%{ruby_vendorlibdir} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files 
# rkbconfig_compiler4 is strictly a -devel piece, but not going to make a separate
# package for one file -- rex
%doc COPYING.LIB
%{_kde4_bindir}/rbkconfig_compiler4
%doc AUTHORS COPYING ChangeLog README
%{_kde4_bindir}/krubyapplication
%{ruby_vendorlibdir}/KDE/
%{ruby_vendorlibdir}/khtml/
%{ruby_vendorlibdir}/kio/
%{ruby_vendorlibdir}/ktexteditor/
%{ruby_vendorlibdir}/okular/
%{ruby_vendorlibdir}/solid/
%{ruby_vendorlibdir}/soprano/
%{ruby_vendorlibdir}/nepomuk/
%{ruby_vendorarchdir}/khtml.so
%{ruby_vendorarchdir}/kio.so
%{ruby_vendorarchdir}/korundum4.so
%{ruby_vendorarchdir}/ktexteditor.so
%{ruby_vendorarchdir}/nepomuk.so
%{ruby_vendorarchdir}/okular.so
%{ruby_vendorarchdir}/plasma_applet.so
%{ruby_vendorarchdir}/solid.so
%{ruby_vendorarchdir}/soprano.so
%{_kde4_libdir}/kde4/krubypluginfactory.so
%{_kde4_datadir}/applications/kde4/dbpedia_references.desktop
%{_kde4_appsdir}/dbpedia_references/
%{_kde4_datadir}/kde4/services/plasma-applet-ruby-analogclock.desktop
%{_kde4_appsdir}/plasma_applet_ruby_clock/
%{_kde4_datadir}/kde4/services/plasma-ruby-digital-clock-default.desktop
%{_kde4_appsdir}/plasma_ruby_digital_clock/

%files akonadi
%{ruby_vendorlibdir}/akonadi/
%{ruby_vendorarchdir}/akonadi.so


%changelog
* Mon Feb 02 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-4
- rebuild (okular)

* Sun Jan 18 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 4.14.3-3
- Rebuild for new okular (and ruby 2.2)

* Sat Jan 17 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 4.14.3-2
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_2.2

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Tue Jun 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Mon Apr 28 2014 Vít Ondruch <vondruch@redhat.com> - 4.12.97-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sat Mar 22 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Thu Mar 20 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sat Mar 01 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Sun Mar 31 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Wed Mar 13 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.1-2
- update for ruby2 guidelines (f19+)

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Sun Jan 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.90-1
- 4.9.90

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Tue Sep 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.1-1
- 4.9.1

* Thu Aug 02 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.0-2
- cleaner ruby macro usage wrt vendor/site dirs

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sun Jun 10 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Thu May 31 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.80-1
- 4.8.80

* Tue May 01 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Fri Mar 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- -akonadi subpkg

* Tue Mar 06 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-1
- 4.8.1

* Sat Feb 18 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-3
- actually use %%ruby_abi macro

* Fri Feb 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-2
- patch out call to Init_prelude (kde#287057)

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Thu Jan 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Fri Dec 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-1
- 4.7.95

* Wed Dec 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- rename to ruby-korundum
- License: GPLv2+ and LGPLv2+

* Tue Dec 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- first try

